KLA11294
Multiple vulnerabilities in Oracle Java SE, Java SE Embedded and JRockit
Updated: 08/17/2018
CVSS
?
6.8
Detect date
?
07/16/2018
Severity
?
High
Description

Multiple serious vulnerabilities were found in Oracle Java SE, Java SE Embedded and JRockit. Malicious users can exploit these vulnerabilities to gain privileges, obtain sensitive information, bypass security restrictions, cause denial of service.

Below is a complete list of vulnerabilities:

  1. An unspecified vulnerability in Java DB can be exploited remotely to gain privileges;
  2. An unspecified vulnerability in Deployment can be exploited remotely to gain privileges;
  3. An unspecified vulnerability in JavaFX can be exploited remotely to gain privileges.
  4. An unspecified vulnerability in Windows DLL can be exploited remotely to gain privileges;
  5. An unspecified vulnerability in Security component can be exploited remotely to obtain sensitive information;
  6. An unspecified vulnerability in JSSE can be exploited remotely to bypass security restrictions;
  7. An unspecified vulnerability in Libraries component can be exploited remotely to obtain sensitive information;
  8. An unspecified vulnerability in Concurrency component can be exploited remotely to cause denial of service.

Technical details

Java SE 10 if affected by vulnerabilities (2),(3) and (5)-(8).

Java SE 8 is affected by vulnerabilities (1)-(4) and (6)-(8).

Java SE 7 is affected by vulnerabilities (1),(3),(4) and (6)-(8).

Java SE 6 is affected by vulnerabilities (1) and (6)-(8).

Java SE Embedded 8 is affected by vulnerabilities (6)-(8).

JRockit is affected by vulnerability (8)

Affected products

Java SE 6u191 and earlier
Java SE 7u181 and earlier
Java SE 8u172 and earlier
Java SE 10.0.1 and earlier
Java SE Embedded 8u171 and earlier
JRockit R28.3.18 and earlier

Solution

Update to the latest version
Oracle software downloads

Original advisories

Oracle Critical Patch Update Advisory – July 2018

Impacts
?
OSI 
[?]

DoS 
[?]

SB 
[?]

PE 
[?]
CVE-IDS
?

CVE-2018-2938
CVE-2018-2964
CVE-2018-2941
CVE-2018-2942
CVE-2018-2972
CVE-2018-2973
CVE-2018-2940
CVE-2018-2952